Subject: Re: randconfig build error with next-20150302, in drivers/net/ethernet/intel/i40e/i40e_configfs.c

From: Nicholas Krause <[email-masked]>
Date: Mon, 02 Mar 2015 15:17:58 -0500

On March 2, 2015 11:29:12 AM EST, Jim Davis <[email-masked]> wrote:
>Building with the attached random configuration file,
>
>drivers/built-in.o: In function `i40e_cfgfs_group_make_item':
>i40e_configfs.c:(.text+0x3df4ce): undefined reference to
>`config_item_init_type_name'
>drivers/built-in.o: In function `i40e_configfs_init':
>(.text+0x3df4ee): undefined reference to `config_group_init'
>drivers/built-in.o: In function `i40e_configfs_init':
>(.text+0x3df50c): undefined reference to `configfs_register_subsystem'
>drivers/built-in.o: In function `i40e_configfs_exit':
>(.text+0x3df52e): undefined reference to
>`configfs_unregister_subsystem'
>Makefile:939: recipe for target 'vmlinux' failed
>
>
>------------------------------------------------------------------------
>
>------------------------------------------------------------------------------
>Dive into the World of Parallel Programming The Go Parallel Website,
>sponsored
>by Intel and developed in partnership with Slashdot Media, is your hub
>for all
>things parallel software development, from weekly thought leadership
>blogs to
>news, videos, case studies, tutorials and more. Take a look and join
>the 
>conversation now. http://goparallel.sourceforge.net/
>
>------------------------------------------------------------------------
>
>_______________________________________________
>E1000-devel mailing list
>[email-masked]
>https://lists.sourceforge.net/lists/listinfo/e1000-devel
>To learn more about Intel&#174; Ethernet, visit
>http://communities.intel.com/community/wired
Jim, 
I am on my phone so unfortunately I can't help now however, I can send in a patch later fixing this on Linux next. All I need is for you to resend directly to my email your.conf file for this rand configuration that is build failing. 
Nick 

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.

------------------------------------------------------------------------------
Dive into the World of Parallel Programming The Go Parallel Website, sponsored
by Intel and developed in partnership with Slashdot Media, is your hub for all
things parallel software development, from weekly thought leadership blogs to
news, videos, case studies, tutorials and more. Take a look and join the 
conversation now. http://goparallel.sourceforge.net/
_______________________________________________
E1000-devel mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/e1000-devel
To learn more about Intel&#174; Ethernet, visit http://communities.intel.com/community/wired